[proaudio] [1726] New ebuild for beta release, stills needs configue and compile worked on.

[ Thread Index | Date Index | More lists.tuxfamily.org/proaudio Archives ]


Revision: 1726
Author:   emery
Date:     2010-08-25 02:08:13 +0200 (Wed, 25 Aug 2010)
Log Message:
-----------
New ebuild for beta release, stills needs configue and compile worked on.

Modified Paths:
--------------
    trunk/overlays/proaudio-dev/media-radio/rivendell/Manifest

Added Paths:
-----------
    trunk/overlays/proaudio-dev/media-radio/rivendell/rivendell-2.0.0_beta0.ebuild

Removed Paths:
-------------
    trunk/overlays/proaudio-dev/media-radio/rivendell/rivendell-2.0.ebuild

Modified: trunk/overlays/proaudio-dev/media-radio/rivendell/Manifest
===================================================================
--- trunk/overlays/proaudio-dev/media-radio/rivendell/Manifest	2010-08-17 17:43:42 UTC (rev 1725)
+++ trunk/overlays/proaudio-dev/media-radio/rivendell/Manifest	2010-08-25 00:08:13 UTC (rev 1726)
@@ -1,6 +1,2 @@
-AUX rivendell-1.7.2.patch 2481 RMD160 65c77c2d3271329c4c3c0ef9d44247ecfdb45e75 SHA1 a55b8990248bbf7d73ba632b306bca3b2e791128 SHA256 d14ffcee3e91227a18b9e02fb6ca8a2795a01427e0a9989daa3dd261536e36a7
-AUX rivendell-init.patch 773 RMD160 dacb60a287448502de5b4854b8e60eadbbe36061 SHA1 e84b3b5f490176ed4c0af10318eae9db5ae5f4b0 SHA256 6a8b57a99eaf450aafa5a4c4943c6907bcde5144478d938f83b1c7ca83858179
-AUX rivendell-sandbox.patch 677 RMD160 f0f526f949bc77eecd1d39226171c1dff0ee92d0 SHA1 13a27d6e2a2acad3a40d6fc9b0441f60347abb84 SHA256 a2d3f93d396a2094098bd5140ec8c193a83471939c0c918e31563a1f7343c3b3
 DIST rivendell-1.7.2.tar.gz 2297938 RMD160 5179c2bf85a5c8735cdd684121bb3b64cf812e6d SHA1 becfd7908f4e2e91e3a8f89f962147abc5456a4a SHA256 20af379c6484c943023a162d0a95dbfd84e33d87519858c252a16d9b5ea4fb62
-EBUILD rivendell-1.7.2.ebuild 1982 RMD160 3f40e5d6852d21b9d04ddfb9426934091398a45b SHA1 4554375c3dc19187a79e1b11def672381edde94c SHA256 65f2576ef6f9069433cc31fcb217a5d08c2080f19d693e211c88acc7a71a7bdc
-EBUILD rivendell-2.0.ebuild 2562 RMD160 2472e65abaf0fa554bb3407c136706ce1782ab9c SHA1 59e84106e6b86df8b9b2b49cae05698d2cd47c18 SHA256 ca8bea037cf921c3020ebc7bd8217d4982f0c1f41802a852b37a5f2c9501d296
+DIST rivendell-2.0.0beta0.tar.gz 2438920 RMD160 0f39fa3f5caf6540d7efb3565882543506eaffa6 SHA1 d0c2da714f51f823d949f69e66503bb6efc63139 SHA256 c35322bc45bc36f41f2caf9f455d1c9ef0ddaa915cf57cd1ad13ece2e8587cb8

Added: trunk/overlays/proaudio-dev/media-radio/rivendell/rivendell-2.0.0_beta0.ebuild
===================================================================
--- trunk/overlays/proaudio-dev/media-radio/rivendell/rivendell-2.0.0_beta0.ebuild	                        (rev 0)
+++ trunk/overlays/proaudio-dev/media-radio/rivendell/rivendell-2.0.0_beta0.ebuild	2010-08-25 00:08:13 UTC (rev 1726)
@@ -0,0 +1,107 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+inherit base eutils versionator
+
+MY_PV=$(delete_version_separator '_')
+MY_P="${PN}-${MY_PV}"
+MY_S="${WORKDIR}/${MY_P}"
+
+DESCRIPTION="An automated system for acquisition, management, scheduling and playout of audio content."
+HOMEPAGE="http://rivendellaudio.org/";
+SRC_URI="http://rivendellaudio.org/ftpdocs/${PN}/${MY_P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="alsa gpio jack mpeg mp2 mp3 pam"
+
+RESTRICT="nomirror"
+
+DEPEND="alsa? ( media-libs/alsa-lib )
+	jack? ( media-sound/jack-audio-connection-kit )
+	mpeg? ( media-sound/libmad )
+	media-libs/flac
+	media-libs/id3lib
+	media-libs/libogg
+	media-libs/libvorbis
+	media-libs/libsamplerate
+	media-libs/libsndfile
+	media-libs/libsoundtouch
+	virtual/mysql
+	x11-libs/qt:3[mysql]"
+RDEPEND="${DEPEND}
+	mp2? ( media-sound/twolame )
+	mp3? ( media-sound/lame )
+	pam? ( sys-libs/pam )
+	app-cdr/cdrkit
+	media-sound/cdparanoia
+	media-sound/lame
+	media-sound/mpg321
+	media-sound/vorbis-tools
+	net-misc/curl
+	sys-apps/ivman
+	sys-devel/bc"
+
+pkg_setup() {
+	enewgroup ${PN} 150
+	enewuser ${PN} 150 -1 /var/lib/${PN} "${PN},audio"
+}
+
+src_prepare() {
+	cd "${MY_S}"
+	epatch "${FILESDIR}/${PN}-init.patch"
+}
+
+src_configure() {
+	cd "${MY_S}"
+	local myconf="--libexecdir=/usr/libexec/rd-bin"
+
+	use alsa || myconf="${myconf} --disable-alsa"
+	use gpio || myconf="${myconf} --disable-gpio"
+	use jack || myconf="${myconf} --disable-jack"
+	use mpeg || myconf="${myconf} --disable-mad"
+	use mp2 || myconf="${myconf} --disable-twolame"
+	use mp3 || myconf="${myconf} --disable-lame"
+	use pam || myconf="${myconf} --disable-pam"
+
+	econf ${myconf}
+}
+
+src_compile () {
+	emake || die "make failed"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "install failed"
+
+	insinto /etc
+	doins conf/rd.conf-sample
+
+	keepdir /var/snd
+	fowners ${PN}:${PN} /var/snd
+	fperms 0775 /var/snd
+	fperms 0664 /var/snd/*
+
+	dodoc AUTHORS ChangeLog INSTALL NEWS README SupportedCards docs/*.txt
+	prepalldocs
+}
+
+pkg_postinst() {
+	elog "If you would like ASI or GPIO hardware support,"
+	elog "install their drivers and re-emerge this package."
+	einfo
+	einfo "See http://rivendell.tryphon.org/wiki/index.php/Install_under_Gentoo";
+	einfo "for Gentoo specific instructions."
+	einfo
+	einfo "This version of Rivendell makes use of a web services protocol to"
+	einfo "accomplish many functions (audio import, export, ripping, etc)."
+	einfo "These services require that a CGI-compliant web server be installed"
+	einfo "and active on the system. Any server that complies with CGI-1.1"
+	einfo "should work, although as of this writing only Apache 2.2 has been"
+	einfo "well tested."
+
+	ewarn "If ${P} is an update, it may use a new database schema, run rdadmin to ensure your schema is current."
+}

Deleted: trunk/overlays/proaudio-dev/media-radio/rivendell/rivendell-2.0.ebuild
===================================================================
--- trunk/overlays/proaudio-dev/media-radio/rivendell/rivendell-2.0.ebuild	2010-08-17 17:43:42 UTC (rev 1725)
+++ trunk/overlays/proaudio-dev/media-radio/rivendell/rivendell-2.0.ebuild	2010-08-25 00:08:13 UTC (rev 1726)
@@ -1,107 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-inherit base cvs eutils
-
-DESCRIPTION="An automated system for acquisition, management, scheduling and playout of audio content."
-HOMEPAGE="http://rivendellaudio.org/";
-SRC_URI=""
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="alsa jack pam"
-
-RESTRICT="nomirror"
-
-DEPEND="alsa? ( media-libs/alsa-lib )
-	jack? ( media-sound/jack-audio-connection-kit )
-	media-libs/flac
-	media-libs/id3lib
-	media-libs/libogg
-	media-libs/libvorbis
-	media-libs/libsamplerate
-	media-libs/libsndfile
-	media-libs/libsoundtouch
-	virtual/mysql
-	x11-libs/qt:3[mysql]"
-RDEPEND="${DEPEND}
-	pam? ( sys-libs/pam )
-	app-cdr/cdrkit
-	media-sound/cdparanoia
-	media-sound/lame
-	media-sound/mpg321
-	media-sound/vorbis-tools
-	net-misc/curl
-	sys-apps/ivman
-	sys-devel/bc"
-
-pkg_setup() {
-	enewgroup ${PN} 150
-	enewuser ${PN} 150 -1 /var/lib/${PN} "${PN},audio"
-}
-
-src_unpack() {
-	ECVS_SERVER="cvs.rivendellaudio.org:/home/cvs/cvsroot"
-	ECVS_USER="cvs"
-	EVCS_PASS="cvs"
-	ECVS_MODULE="rivendell"
-	ECVS_CVS_OPTIONS="-d"
-	cvs_src_unpack
-}
-
-
-
-src_prepare() {
-	unpack ${A}
-	cd "${S}"
-	epatch "${FILESDIR}/${PN}-init.patch"
-}
-
-src_configure() {
-	local myconf="--libexecdir=/usr/libexec/rd-bin"
-
-	use alsa || myconf="${myconf} --disable-alsa"
-	use jack || myconf="${myconf} --disable-jack"
-	use pam || myconf="${myconf} --disable-pam"
-
-	econf ${myconf}
-}
-
-src_compile () {
-	emake || die "make failed"
-}
-
-src_install() {
-	emake DESTDIR="${D}" install || die "install failed"
-
-	insinto /etc
-	doins conf/rd.conf-sample
-
-	keepdir /var/snd
-	fowners ${PN}:${PN} /var/snd
-	fperms 0775 /var/snd
-	fperms 0664 /var/snd/*
-
-	dodoc AUTHORS ChangeLog INSTALL NEWS README SupportedCards docs/*.txt
-	prepalldocs
-}
-
-pkg_postinst() {
-	elog "If you would like ASI or GPIO hardware support,"
-	elog "install their drivers and re-emerge this package."
-	einfo
-	einfo "See http://rivendell.tryphon.org/wiki/index.php/Install_under_Gentoo";
-	einfo "for Gentoo specific instructions."
-	einfo
-	einfo "This version of Rivendell makes use of a web services protocol to"
-	einfo "accomplish many functions (audio import, export, ripping, etc)."
-	einfo "These services require that a CGI-compliant web server be installed"
-	einfo "and active on the system. Any server that complies with CGI-1.1"
-	einfo "should work, although as of this writing only Apache 2.2 has been"
-	einfo "well tested."
-
-	ewarn "If ${P} is an update, it may use a new database schema, run rdadmin to ensure your schema is current."
-}


Mail converted by MHonArc 2.6.19+ http://listengine.tuxfamily.org/